require 'uu/os/rest/paging_criteria'
require 'uu/os/uesuri'

module UU
  module OS
    module AccessRole
      # @deprecated Use {UU::OS::PersonalAccessRole::PersonalAccessRoleGetRoleInterfaceList} instead.
      # @see AccessRole#get_role_interface_list
      class AccessRoleGetRoleInterfaceList < UU::OS::REST::PagingCriteria

        # @see AccessRole#get_role_interface_list
        attr_accessor :query
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

      end
    end
  end
end
