module UU
  module OS
    module ActivityStateTemplate
      class ActivityStateVisibility

        # The activity in this state will be visible for the competent role.
        COMPETENT_ROLE = 'COMPETENT_ROLE'

        # The activity in this state will be visible for the executive role.
        EXECUTIVE_ROLE = 'EXECUTIVE_ROLE'

        # The activity in this state will not be visible for anybody.
        NOBODY = 'NOBODY'

      end
    end
  end
end