module UU
  module OS
    
      module Macro

        # Set of common macro options.
        class MacroExecOptions

          # Type of macro.
          MACRO_TYPE = 'macroType'

          # Macro language version.
          LANG_VERSION = 'langVersion'

          # Names for macro dedication to queue.
          EXEC_GROUPS = 'execGroups'

          # Crontab-phrase time for macro execution window. 
          EXEC_WINDOW = 'execWindow'

          # The limit of automatic macro re-launching.
          MAX_REFIRE_COUNT = 'maxRefireCount'

          # Flag indicating whether the macro should be recovered after an exception.
          MACRO_RECOVERABLE = 'recoverable'

          # Flag indicating whether the macro should report progress via workflow.
          WF_MON_ENABLED = 'wfMonitorEnabled'

          # UESURI of activity which should be used to report progress.
          WF_MON_ACT_URI = 'wfMonitorActivity'

          # UESURI of activity definition which should be used to report progress.
          WF_MON_ACT_TMPL_URI = 'wfMonitorActivityTemplate'

          # Definition of transaction propagation behavior.
          TX_PROPAGATION = 'txPropagation'

        end

      end
    end

end
