require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module MetaModel

      # Artifact Interface Use Case DTO.
      class ArtifactInterfaceUseCaseAttributes < UU::OS::REST::DTO

        # @see ArtifactInterface#get_use_case_list
        attr_accessor :use_case_code

        def use_case_code
          attributes[:useCaseCode]
        end

        def use_case_code=(val)
          attributes[:useCaseCode] = val
        end

      end

    end
  end
end
