require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Basic group.
    module BasicGroup
      class BasicGroupGetArtifactInterfaceListItem < UU::OS::REST::DTO

        # Code of the artifact interface that is connected to the specified basic group.
        attr_accessor :artifact_interface_code
        def artifact_interface_code
          attributes[:artifactInterfaceCode]
        end

        def artifact_interface_code=(val)
          attributes[:artifactInterfaceCode] = val
        end

      end
    end
  end
end