require 'uu/os/rest/dto'


module UU
module OS

module Company

# @deprecated
class CompanyGetEntryList < UU::OS::REST::PagingCriteria

# The <b>UES query</b> string. It has to conform the ues query syntax (see documentation 
# for more info). Filtering and order of the result list can be specified there. When 
# null is set, no filtering is applied and entries are ordered by name of referenced 
# artifact (and code and type as the second and the third criteria). 
attr_accessor :query

# Flag for recursive listing. It means that if the listed company contains inner 
# folders and the recursive flag is true, entries of the all inner folders are in result 
# too. When the recursive flag is null or false, only entries are returned exactly 
# from the listed company. 
attr_accessor :recursive



def query 
attributes[:query]
end

def query=(val) 
attributes[:query] = val
end

def recursive 
attributes[:recursive]
end

def recursive=(val) 
attributes[:recursive] = val
end

end
end

end
end
