require 'uu/os/rest/paging_criteria'


module UU
module OS

module MetaModel

# Meta Model Get Entry List DTO.
# @deprecated Use {UU::OS::AppPackage::AppPackageGetEntryList} instead.
class MetaModelGetEntryList < UU::OS::REST::PagingCriteria

# The <b>UES query</b> string. It has to conform the ues query syntax (see documentation 
# for more info). Filtering and order of the result list can be specified there. When 
# null is set, no filtering is applied and entries are ordered by name and code as the 
# second criteria. 
attr_accessor :query

# Flag for recursive listing. It means that if the listed folder contains inner folders 
# and the recursive flag is true, entries of the all inner folders are in result too. 
# When the recursive flag is null or false, only entries are returned exactly from 
# the listed meta model dictionary. 
attr_accessor :recursive



def query 
attributes[:query]
end

def query=(val) 
attributes[:query] = val
end

def recursive 
attributes[:recursive]
end

def recursive=(val) 
attributes[:recursive] = val
end

end
end

end
end
